#include "my_check_params.hpp" 

Options opts;

using namespace std;

// Компиляция из директории вызвать команду make my_app
// Запуск: ./my_app [флаги и аргументы к ним] (начать можно с флага --help) 
int main(int argc, char *argv[]) {

    int error = my_check_params(argc, argv);
    if (error > 0)
    {
        if (opts.attack_type == "flood") {
            cout << "type attack: " << opts.attack_type << "\n";
            cout << "domain: " << opts.domain << "\n";
            cout << "ip: " << opts.ip << "\n";
            cout << "port: " << opts.port << "\n";
            cout << "log file path: " << opts.log_file << "\n";
        }
        else if (opts.attack_type == "scan") {
            cout << "type attack: " << opts.attack_type << "\n";
            cout << "domain: " << opts.domain << "\n";
            cout << "ip: " << opts.ip << "\n";
            cout << "log file path: " << opts.log_file << "\n";
        }

        if (!opts.telegram_id.empty()) {
            cout << "telegram_id: " << opts.telegram_id << "\n";
        }

        if (!opts.telegram_token.empty()) {
            cout << "telegram_token: " << opts.telegram_token << "\n";
        }
        
        
    }
    else {
        cout << "err code:" << error << "\n";
    }
    
    
    

    return 0;
}