#pragma once

#include <iostream>
#include <string>
#include <unistd.h>
#include <getopt.h> // Для struct option


struct Options {
    std::string attack_type;                   // Обязательный параметр
    std::string domain;                        // Обязательный параметр
    std::string ip;                            // Обязательный параметр
    std::string port;                          // Обязательный параметр (не обязательный для скана)
    std::string log_file = "/var/logs/DosAtk"; // Значение по умолчанию, не обязательный
    std::string telegram_id;                   // Не обязательный параметр
    std::string telegram_token;                // Не обязательный параметр
};

extern Options opts; // Теперь это глобальная переменная, где она должна определяться?

// Прототип функции парсинга
int my_check_params(int argc, char** argv);